<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Managing Hosts">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Host Management Interfaces</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#21-host-management/host-management-ui.html">Open topic with navigation</a>
        </p>
        <h1>Host Management Interfaces</h1>
        <p><span class="VariablesProductName">Metasploit Pro</span> offers a couple of different host views. Host views provide visibility into the data that a project contains. Each view provides a different way in which you can view the metadata and findings for hosts within a project.</p>
        <p>The following host views are available:</p>
        <ul>
            <li value="1"><b>Project view</b> - Provides a high-level view of all the hosts and data that are stored in the project. To access the project view, click on the Analysis tab. The project view initially shows the Hosts list, which displays the fingerprint and enumerated ports and services for each host. In addition to the Hosts list, you can view the notes, services, vulnerabilities, and captured data from the project view. To access these other views, you can click on their tabs from the project view.</li>
            <li value="2"><b>Single host view</b> - Displays the details for a specific host, such as the services, sessions, vulnerabilities, credentials, captured data, notes, file shares, tags, exploit attempts, available modules, and source. To access the single host view, click on a host IP address.</li>
        </ul>
        <h2>Tour of the Analysis Area</h2>
        <p>The Analysis area shows the test findings on a project level. The Analysis area shows you all of the information that has been gathered and tracked for a particular project. For example, you will want to go to the Analysis area if you want to see a list of hosts that were discovered or imported, view the captured data stored in the project, or create Nexpose vulnerability exceptions. </p>
        <p>From the Analysis area, you can navigate to the following main pages: </p>
        <ul>
            <li value="1"><b>Hosts page</b> - Lists all the hosts in a project and shows their operating system, purpose, tags, and counts for services and vulnerabilities. </li>
            <li value="2"><b>Notes page</b> - Lists the notes, or additional bits of information, that <span class="VariablesProductName">Metasploit Pro</span> was able to collect from a host during a scan. </li>
            <li value="3"><b>Services page</b> - Lists the services that were enumerated and shows their port number, port state, and the host that it is running on. </li>
            <li value="4"><b>Vulnerabilities page</b> - Lists the vulnerabilities that have been imported from a vulnerability scanner or ones that have been found by <span class="VariablesProductName">Metasploit Pro</span>. You can create vulnerability exceptions and push validated vulnerabilities back to Nexpose from the Vulnerabilities page. </li>
            <li value="5"><b>Captured Data page</b> - Lists all the loot and evidence that was collected from all hosts in the project. You can view or download captured data files from this page.</li>
            <li value="6"><b>Network Topology</b> - Shows a diagram of the physical layout of a target network.</li>
        </ul>
        <p>
            <img src="../Resources/Images/host-management/hm-tour-projectview_1063x346.png" style="width: 1063;height: 346;" />
        </p>
        <h2>Tour of the Single Host Page</h2>
        <p>The single host page shows the findings on a per host level. Use this view to drill down to the details for a particular host. For example, you will want to view the single host when you want to view the credentials, services lists, or open/closed sessions for a host. To access the single host page, click on the IP address for any host. </p>
        <p>
            <img src="../Resources/Images/host-management/hm-tour-shv_1072x504.png" style="width: 1072;height: 504;" />
        </p>
    </body>
</html>